type: google.api.Service
config_version: 0
name: cloudfunctions.googleapis.com
title: Google Cloud Functions API

apis:
- name: google.cloud.functions.v1beta2.CloudFunctionsService

documentation:
  summary:
    'Google Cloud Functions is a lightweight, event-based, asynchronous compute
    solution that allows you to create small, single-purpose functions that
    respond to cloud events without the need to manage a server or a runtime
    environment.'

authentication:
  rules:
    - selector: '*'
      oauth:
        canonical_scopes: https://www.googleapis.com/auth/cloud-platform
